## libbsd 0.1.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 LIB_NAME := libbsd
 LIB_VERSION_MAJOR := 0
-LIB_VERSION_MINOR := 0
-LIB_VERSION_MICRO := 1
+LIB_VERSION_MINOR := 1
+LIB_VERSION_MICRO := 4
 LIB_VERSION := $(LIB_VERSION_MAJOR).$(LIB_VERSION_MINOR).$(LIB_VERSION_MICRO)
 
 LIB_PKGCONFIG := $(LIB_NAME).pc
@@ -30,8 +30,10 @@
 	inet_net_pton.c \
 	hash/md5.c hash/md5hl.c \
 	setmode.c \
+	strmode.c \
 	strlcat.c strlcpy.c \
 	fmtcheck.c \
+	nlist.c \
 	progname.c \
 	vis.c unvis.c
 LIB_SRCS := $(patsubst %,src/%,$(LIB_SRCS))
@@ -52,15 +54,23 @@
 	bsd/bsd.h \
 	bsd/cdefs.h \
 	bsd/stdlib.h \
+	nlist.h \
 	vis.h \
 	libutil.h
 
 LIB_MANS := \
 	arc4random.3 \
+	arc4random_addrandom.3 \
+	arc4random_stir.3 \
 	strlcpy.3 \
+	strlcat.3 \
 	fgetln.3 \
+	humanize_number.3 \
 	fmtcheck.3 \
+	nlist.3 \
 	setmode.3 \
+	getmode.3 \
+	strmode.3 \
 	md5.3bsd
 LIB_MANS := $(patsubst %,man/%,$(LIB_MANS))
 
@@ -72,13 +82,13 @@
 
 MK_CFLAGS := -Iinclude/ -include bsd/bsd.h -D_GNU_SOURCE -D__REENTRANT
 
-prefix		:= /usr
-exec_prefix	:=
-libdir		:= ${exec_prefix}/lib
-usrlibdir	:= ${prefix}/lib
-includedir	:= ${prefix}/include
-pkgconfigdir	:= ${usrlibdir}/pkgconfig
-mandir		:= ${prefix}/share/man
+prefix		= /usr
+exec_prefix	=
+libdir		= ${exec_prefix}/lib
+usrlibdir	= ${prefix}/lib
+includedir	= ${prefix}/include
+pkgconfigdir	= ${usrlibdir}/pkgconfig
+mandir		= ${prefix}/share/man
 
 .PHONY: libs
 libs: $(LIB_STATIC) $(LIB_SHARED_SO) $(LIB_PKGCONFIG)
@@ -98,13 +108,12 @@
 src/hash/md5hl.c: src/hash/helper.c
 	sed -e 's:hashinc:bsd/md5.h:g' -e 's:HASH:MD5:g' $< > $@
 
-# FIXME: the variables should be preserved unexpanded in the .pc file
 $(LIB_PKGCONFIG): $(LIB_PKGCONFIG).in
 	sed -e 's:@VERSION@:$(LIB_VERSION):' \
-	    -e 's:@prefix@:$(prefix):' \
-	    -e 's:@exec_prefix@:$(exec_prefix):' \
-	    -e 's:@libdir@:$(libdir):' \
-	    -e 's:@includedir@:$(includedir):' \
+	    -e 's:@prefix@:$(value prefix):' \
+	    -e 's:@exec_prefix@:$(value exec_prefix):' \
+	    -e 's:@libdir@:$(value usrlibdir):' \
+	    -e 's:@includedir@:$(value includedir):' \
 	    $< > $@
 
 $(LIB_STATIC): $(LIB_STATIC_OBJS)
@@ -148,7 +157,13 @@
 	done
 	install -m644 $(LIB_MANS) $(DESTDIR)/$(mandir)/man3
 	install -m644 $(LIB_PKGCONFIG) $(DESTDIR)/$(pkgconfigdir)
+ifeq ($(libdir),$(usrlibdir))
+	# If both dirs are the same, do a relative symlink.
+	ln -sf $(LIB_SHARED) $(DESTDIR)/$(usrlibdir)/$(LIB_SHARED_SO)
+else
+	# Otherwise, do an absolute one.
 	ln -sf $(libdir)/$(LIB_SHARED) $(DESTDIR)/$(usrlibdir)/$(LIB_SHARED_SO)
+endif
 	ln -sf $(LIB_SHARED) $(DESTDIR)/$(libdir)/$(LIB_SONAME)
 
 .PHONY: clean
