=== debian/changelog ===
libbsd (0.3.0-2ubuntu0.1) precise-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds
    - debian/patches/CVE-2019-20367.patch: make sure that there is
      a bounded comparison in  src/nlist.c.
    - CVE-2019-20367

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 16 Jan 2020 08:20:31 -0300

libbsd (0.3.0-2) unstable; urgency=low

  * Make shared library packages multiarch:
    - Build-Depend on debhelper 8.1.3.
    - Add misc:Pre-Depends substvar to Pre-Depends field in libbsd0.
    - Add “Multi-Arch: same” field to libbsd0 and libbsd0-dbg.
    - Define DEB_HOST_MULTIARCH and use it to set libdir and usrlibdir.
    - Change paths from lib/ to lib/* in install files.
  * Now using Standards-Version 3.9.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sat, 25 Feb 2012 20:52:55 +0100

libbsd (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Update and reword function list in package description.
  * Install all pkg-config files.
  * Use kfreebsd-any instead of explicit list in libbsd0 Conflicts field.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Switch the symbols file to use symver tags instead of symbol patterns.
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS.
  * Remove duplicate inherited Section field from libbsd0.

 -- Guillem Jover <guillem@debian.org>  Thu, 02 Jun 2011 20:28:12 +0200

libbsd (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Add ${misc:Depends} to libbsd0-dbg and libbsd-dev Depends.
  * Now using Standards-Version 3.8.3 (no changes needed).
  * Switch to source format “3.0 (quilt)”.

 -- Guillem Jover <guillem@debian.org>  Mon, 11 Jan 2010 15:47:40 +0100

libbsd (0.1.6-1) unstable; urgency=low

  * New upstream release.
    - Fix typo in ‘local-elf.h’ affecting M32R builds. (Closes: #544266)
  * Add missing libbsd0-udeb.install file to avoid creating empty packages.

 -- Guillem Jover <guillem@debian.org>  Sun, 30 Aug 2009 12:55:00 +0200

libbsd (0.1.5-3) unstable; urgency=low

  * Re-enable libbsd-udeb package on all architectures, as it rdate-udeb
    will need it.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 27 Jul 2009 01:56:27 +0200

libbsd (0.1.5-2) unstable; urgency=low

  * Restrict the udeb package to kfreebsd-*, as requested by Otavio
    Salvador.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Jul 2009 23:21:10 +0200

libbsd (0.1.5-1) unstable; urgency=low

  * New upstream release.
    - Fix typo in ‘local-elf.h’ affecting AVR32 and SuperH builds.
      (Closes: #537210)
  * Add a new library udeb.
  * Remove --sourcedir from dh_install unneeded with debhelper compat 7.
  * Now using Standards-Version 3.8.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Fri, 17 Jul 2009 13:59:02 +0200

libbsd (0.1.4-1) unstable; urgency=low

  * New upstream release.
    - Define N_SYMSIZE on systems not providing it. (Closes: #530857)
  * Add Replaces to libbsd-dev on old libfreebsd-dev which used to ship
    nlist(3) and strmode(3).
  * Add a watch file.

 -- Guillem Jover <guillem@debian.org>  Fri, 29 May 2009 02:54:06 +0200

libbsd (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * Actually ship pkg-config file in libbsd-dev.

 -- Guillem Jover <guillem@debian.org>  Mon, 25 May 2009 09:45:55 +0200

libbsd (0.1.2-1) unstable; urgency=low

  * New upstream release.
    - Fix build failures on s390 and powerpc due to a typo.
    - Fix build failure on alpha due to unportable access to ‘struct exec’.
  * Add a Replaces to libbsd-dev on libelfg0-dev which also ships ‘nlist.h’.
    (Closes: #530450)

 -- Guillem Jover <guillem@debian.org>  Mon, 25 May 2009 07:22:36 +0200

libbsd (0.1.1-1) unstable; urgency=low

  [ Aurelien Jarno ]
  * Move libbsd0-dbg to section debug.

  [ Guillem Jover ]
  * New upstream release.
  * Add Replaces on libelf-dev which also ships nlist.h.
  * Update copyright years in debian/copyright.
  * Add new functions to package description.
  * Add new wildcard to the symbols file.
  * Now using Standards-Version 3.8.1 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Wed, 20 May 2009 05:26:28 +0200

libbsd (0.0.1-2) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Add a symbols file for libbsd0.
  * Use UTF-8 copyright symbol in debian/copyright.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Feb 2009 05:10:23 +0200

libbsd (0.0.1-1) unstable; urgency=low

  * New upstream release.
    - Install md5.3 man page as md5.3bsd to avoid conflicting with commonly
      provided file. (Closes: #492199)
  * Install upstream ChangeLog.

 -- Guillem Jover <guillem@debian.org>  Sat, 26 Jul 2008 22:57:42 +0300

libbsd (0.0-4) unstable; urgency=low

  [ Petr Salinger ]
  * Alter the versioned Conflicts for kfreebsd architectures, it should
    be against binary package net-tools comming from source package
    freebsd-utils.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 14 Jul 2008 20:31:06 +0200

libbsd (0.0-3) unstable; urgency=low

  * Add a Homepage field.
  * Add Vcs-Browser and Vcs-Svn fields.
  * Add a versioned Conflicts against freebsd-utils (<< 7.0-2) only on
    kfreebsd architectures, which was using the link_addr and link_ntoa
    symbols wrongly provided by libbsd.

 -- Guillem Jover <guillem@debian.org>  Sun, 13 Jul 2008 19:51:38 +0300

libbsd (0.0-2) unstable; urgency=low

  * Upload to Debian. (Closes: #461985)
  * Improve debian/copyright.
    - Add detailed information about licenses and copyright holders.
    - Update upstream download URL.
  * Improve package descrptions.
    - Add list of currently provided functions.
    - Mention this is a package with functions commonly available on BSD
      systems.
  * Line wrap Uploaders field.
  * Add new libbsd0-dbg package.
  * Clean up debian/rules:
    - Add build-arch and build-indep targets
    - Rename install to install-arch.
    - Remove dependencies from binary-indep.

