=== debian/control ===
Source: libbsd
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>
Uploaders: Hector Garcia <hector@debian.org>,
 Guillem Jover <guillem@debian.org>, Aurelien Jarno <aurel32@debian.org>
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/libbsd/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/libbsd/
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 8.1.3)
Standards-Version: 3.9.3
Homepage: http://libbsd.freedesktop.org/

Package: libbsd-dev
Section: libdevel
Architecture: any
Depends: libbsd0 (= ${binary:Version}), ${misc:Depends}
# libelf-dev and libelfg0-dev ship nlist.h
Replaces: libelf-dev, libelfg0-dev, libfreebsd-dev (<< 0.0-8)
Description: utility functions from BSD systems - development files
 This library provides some functions commonly available on BSD systems but
 not on others like GNU systems.
 .
 The currently provided functions are:
 .
  * MD5Data, MD5End, MD5File, MD5FileChunk, MD5Final, MD5Init, MD5Pad,
    MD5Transform, MD5Update.
  * arc4random, arc4random_addrandom, arc4random_buf, arc4random_stir,
    arc4random_uniform.
  * bsd_getopt.
  * dehumanize_number, humanize_number, strtonum, fmtcheck.
  * errc, verrc, vwarnc, warnc.
  * fgetln, flopen, fpurge.
  * getmode, setmode, strmode,
  * getpeereid.
  * getprogname, setprogname, setproctitle.
  * heapsort, radixsort, mergesort, sradixsort.
  * nlist (ELF and a.out support).
  * pidfile_open, pidfile_write, pidfile_close, pidfile_remove.
  * readpassphrase.
  * reallocf.
  * strlcpy, strlcat.
  * strnvis, strnunvis, strunvis, strunvisx, strvis, strvisx, unvis, vis.
 .
 Also included are some queue macro definitions not present on includes
 from glibc.

Package: libbsd0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: net-tools (<< 7.0-2) [kfreebsd-any]
Description: utility functions from BSD systems - shared library
 This library provides some functions commonly available on BSD systems
 but not on others like GNU systems.

Package: libbsd0-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility functions from BSD systems - shared library
 This library provides some functions commonly available on BSD systems
 but not on others like GNU systems.

Package: libbsd0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libbsd0 (= ${binary:Version}), ${misc:Depends}
Description: utility functions from BSD systems - debugging symbols
 This library provides some functions commonly available on BSD systems
 but not on others like GNU systems.
