=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)


lib := libbsd0
libdbg := $(lib)-dbg
libudeb := $(lib)-udeb
libdev := libbsd-dev

build-indep:

build-arch:
	dh_testdir

	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot

	$(MAKE) clean

	dh_clean

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
		libdir=/lib/$(DEB_HOST_MULTIARCH) \
		usrlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)

binary-indep:
# Nothing to do.

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_link
	dh_strip --dbg-package=$(libdbg)
	dh_compress
	dh_fixperms
	dh_makeshlibs --add-udeb=$(libudeb)
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: install-arch
.PHONY: clean build-indep build-arch build binary-indep binary-arch binary
