## libbsd 0.4.2

=== debian/changelog ===
libbsd (0.4.2-1ubuntu1) raring; urgency=low

  * Pass correct --build= and --host= options to configure.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Nov 2012 02:20:25 +0000

libbsd (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Disable silent rules, so that build logs get meaningful information.
  * Update debian/copyright file.

 -- Guillem Jover <guillem@debian.org>  Wed, 27 Jun 2012 09:41:19 +0200

libbsd (0.4.0-1) unstable; urgency=low

  * New upstream release. (Closes: #668705)
    - Autoconfiscated, supports cross-building natively. (Closes: #665997)
    - Provide endian encoding/decoding inline functions. (Closes: #635377)
    - Provide expand_number(). (Closes: #635379)
    - Ship <nlist.h> under /usr/include/bsd/. (Closes: #634955, #657772)
    - Ship <libutil.h> under /usr/include/bsd/. (Closes: #640895)
    - Fix header protections when using the overlay. (Closes: #630907)
    - Fix .so symlinks to be relative even when the .so.N shared library
      is on a different directory. (Closes: #580372)
    - Remove all deprecated headers and inclusions.
  * Avoid leaving the system w/o an <nlist.h> previously owned by either
    libelfg0-dev or libelf-dev when upgrading from old libsd-dev versions
    which used to Replace them, by restoring <nlist.h> from <bsd/nlist.h>.

 -- Guillem Jover <guillem@debian.org>  Tue, 29 May 2012 08:11:13 +0200
