=== debian/control ===
--- 
+++ 
@@ -15,8 +15,7 @@
 Section: libdevel
 Architecture: any
 Depends: libbsd0 (= ${binary:Version}), ${misc:Depends}
-# libelf-dev and libelfg0-dev ship nlist.h
-Replaces: libelf-dev, libelfg0-dev, libfreebsd-dev (<< 0.0-8)
+Replaces: libfreebsd-dev (<< 0.0-8)
 Description: utility functions from BSD systems - development files
  This library provides some functions commonly available on BSD systems but
  not on others like GNU systems.
@@ -28,7 +27,10 @@
   * arc4random, arc4random_addrandom, arc4random_buf, arc4random_stir,
     arc4random_uniform.
   * bsd_getopt.
-  * dehumanize_number, humanize_number, strtonum, fmtcheck.
+  * be16dec, be32dec, be64dec, le16dec, le32dec, le64dec.
+  * be16enc, be32enc, be64enc, le16enc, le32enc, le64enc.
+  * closefrom.
+  * expand_number, dehumanize_number, humanize_number, strtonum, fmtcheck.
   * errc, verrc, vwarnc, warnc.
   * fgetln, flopen, fpurge.
   * getmode, setmode, strmode,
