=== debian/rules ===
--- 
+++ 
@@ -9,38 +9,65 @@
 CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
+confflags := --build=$(DEB_BUILD_GNU_TYPE)
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+confflags += --host=$(DEB_HOST_GNU_TYPE)
+endif
+
 
 lib := libbsd0
 libdbg := $(lib)-dbg
 libudeb := $(lib)-udeb
 libdev := libbsd-dev
 
+config.status: configure
+	dh_testdir
+
+	./configure \
+		CPPFLAGS="$(CPPFLAGS)" \
+		CFLAGS="$(CFLAGS)" \
+		LDFLAGS="$(LDFLAGS)" \
+		--disable-silent-rules \
+		--prefix=/usr \
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+		$(confflags)
+
 build-indep:
 
-build-arch:
+build-arch: config.status
 	dh_testdir
 
-	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+	$(MAKE)
 
 build: build-indep build-arch
+
+# Run the test suites
+check-arch: build-arch
+	dh_testdir
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) check
+endif
 
 clean:
 	dh_testdir
 	dh_testroot
 
-	$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 
 	dh_clean
 
-install-arch: build-arch
+install-arch: check-arch
 	dh_testdir
 	dh_testroot
 	dh_prep
 	dh_installdirs
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
-		libdir=/lib/$(DEB_HOST_MULTIARCH) \
-		usrlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+	                runtimelibdir=/lib/$(DEB_HOST_MULTIARCH)
 
 binary-indep:
 # Nothing to do.
