## libbsd 0.6.0

=== debian/changelog ===
libbsd (0.6.0-2ubuntu1) trusty; urgency=medium

  * Merge from debian. Remaining changes:
    - Use dh-autoreconf to update config files.
    - Don't run the tests for cross builds.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 15 Mar 2014 07:42:26 +1100

libbsd (0.6.0-2) unstable; urgency=low

  * Take over standalone maintainership.
    <https://lists.debian.org/debian-bsd/2013/10/msg00227.html>.
  * Now using Standards-Version 3.9.5 (no changes needed).
  * Do not set source compression to xz, it's now the default.
  * Remove packaging history from debian/copyright.
  * Add signature checking support to debian/watch, and ship upstream
    signing keys in debian/upstream/signing-key.asc, exported with
    pgp-clean (signing-party) to avoid useless bloat.
  * Only restore /usr/include/nlist.h if it's missing, or if it contains
    a libbsd instance of the header. And use the matching header from the
    replaced package, which should now be ABI-compatible. (Closes: #724747)
  * Remove debian/README.Debian, which contains information provided in the
    package description.

 -- Guillem Jover <guillem@debian.org>  Tue, 04 Mar 2014 05:02:42 +0100

libbsd (0.6.0-1ubuntu1) trusty; urgency=low

  * Use dh-autoreconf to update config files.
  * Don't run the tests for cross builds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Dec 2013 13:19:47 +0100

libbsd (0.6.0-1) unstable; urgency=medium

  * New upstream release.
    - Move setproctitle() constructor into a new libbsd-ctor static library,
      to avoid breakage on dlopen()+threads+constructor situations, like
      when using samba NSS modules for example.
    - Export setproctitle_init().

 -- Guillem Jover <guillem@debian.org>  Sun, 14 Jul 2013 14:29:59 +0200

libbsd (0.5.2-1) unstable; urgency=medium

  * New upstream release.
    - Force setproctitle() constructor into the .init_array section.
    - Fix use after free on setproctitle() constructor (bumped urgency).
  * Update debian/copyright file.

 -- Guillem Jover <guillem@debian.org>  Sat, 08 Jun 2013 18:55:59 +0200

libbsd (0.5.1-1) unstable; urgency=low

  * New upstream release.
    - Fix build failures on 32-bit systems due to an error on the test suite.

 -- Guillem Jover <guillem@debian.org>  Mon, 27 May 2013 07:02:08 +0200

libbsd (0.5.0-1) unstable; urgency=low

  * New upstream release.
    - Implement setproctitle(). (Closes: #614959)
    - Fix «make distclean» target to not remove distributed files.
  * Change watch file to also look for xz compressed upstream releases.
  * Fix two builds in a row by calling «make distclean» on clean.
  * Fix cross-building support by passing correct --build and --host options
    to configure. Based on patch by Colin Watson <cjwatson@ubuntu.com>.
    (Closes: #665997)
  * Move -e option from postinst's shebang to an explicit set call.
  * Switch to canonical Vcs URLs.
  * Switch source package to xz compression.
  * Switch to debhelper compatibility level 9.
  * Now using Standards-Version 3.9.4 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Mon, 27 May 2013 06:07:08 +0200
