=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Priority: optional
 Section: libs
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>
-Uploaders: Hector Garcia <hector@debian.org>,
- Guillem Jover <guillem@debian.org>, Aurelien Jarno <aurel32@debian.org>
-Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/libbsd/
-Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/libbsd/
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 8.1.3)
-Standards-Version: 3.9.3
+XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
+Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/libbsd.git
+Vcs-Git: git://git.hadrons.org/git/debian/pkgs/libbsd.git
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9), dh-autoreconf
+Standards-Version: 3.9.5
 Homepage: http://libbsd.freedesktop.org/
 
 Package: libbsd-dev
@@ -32,17 +30,20 @@
   * closefrom.
   * expand_number, dehumanize_number, humanize_number, strtonum, fmtcheck.
   * errc, verrc, vwarnc, warnc.
-  * fgetln, flopen, fpurge.
+  * fgetln, fparseln, fgetwln, flopen, fpurge.
   * getmode, setmode, strmode,
   * getpeereid.
-  * getprogname, setprogname, setproctitle.
+  * getprogname, setprogname.
   * heapsort, radixsort, mergesort, sradixsort.
   * nlist (ELF and a.out support).
   * pidfile_open, pidfile_write, pidfile_close, pidfile_remove.
   * readpassphrase.
   * reallocf.
+  * setproctitle (initialized via libbsd-ctor or setproctitle_init).
   * strlcpy, strlcat.
+  * strnstr.
   * strnvis, strnunvis, strunvis, strunvisx, strvis, strvisx, unvis, vis.
+  * wcslcat, wcslcpy.
  .
  Also included are some queue macro definitions not present on includes
  from glibc.
