## libbsd 0.7.0

=== debian/changelog ===
libbsd (0.7.0-2~bpo70+2) wheezy-backports; urgency=medium

  * Rebuild in a clean wheezy-backports environment. Closes: #797680.

 -- Vincent Bernat <bernat@debian.org>  Fri, 11 Sep 2015 19:53:47 +0200

libbsd (0.7.0-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Jul 2015 04:54:45 -0400

libbsd (0.7.0-2) unstable; urgency=high

  * Fix typo in package descriptions. (Closes: #756596)
    Thanks to Ivan Masár <helix84@centrum.sk>.
  * Move dh_install before any other dh_install* command in the binary-arch
    target in debian/rules.
  * Call dh_installman in debian/rules.
  * Install funopen.3 man page as funopen.3bsd to avoid a file conflict
    with libfuntools-dev. (Closes: #756469)

 -- Guillem Jover <guillem@debian.org>  Fri, 29 Aug 2014 14:42:03 +0200

libbsd (0.7.0-1) unstable; urgency=low

  * New upstream release.
    - Add ELF types for OpenRISC. (Closes: #736759)
    - Autoreconf during release adds support for ppc64el. (Closes: #754126)
  * Try to clarify package descriptions for libbsd0, libbsd0-dbg and
    libbsd0-udeb, to make it easier to know why the package is installed.
    Based on suggestions by Jonathan Nieder <jrnieder@gmail.com>.
    (Closes: #663085)
  * Mark libbsd-dev as Multi-Arch:same. (Closes: #755480)
    Thanks to Dima Kogan <dima@secretsauce.net>.
  * Update config.guess and config.sub at build time, via autotools-dev
    debhelper commands. (Closes: #748994)

 -- Guillem Jover <guillem@debian.org>  Tue, 29 Jul 2014 04:01:46 +0200
