=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,12 @@
 libudeb := $(lib)-udeb
 libdev := libbsd-dev
 
-config-stamp:
+D := $(CURDIR)/debian
+
+config.status: configure
 	dh_testdir
+	dh_autotools-dev_updateconfig
 
-	dh_autoreconf
 	./configure \
 		CPPFLAGS="$(CPPFLAGS)" \
 		CFLAGS="$(CFLAGS)" \
@@ -34,11 +36,10 @@
 		--disable-silent-rules \
 		--prefix=/usr \
 		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
-	touch config-stamp
 
 build-indep:
 
-build-arch: config-stamp
+build-arch: config.status
 	dh_testdir
 
 	$(MAKE)
@@ -49,10 +50,8 @@
 check-arch: build-arch
 	dh_testdir
 
-ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) check
-endif
+	$(MAKE) VERBOSE=1 check
 endif
 
 clean:
@@ -61,7 +60,7 @@
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 
-	dh_autoreconf_clean
+	dh_autotools-dev_restoreconfig
 	dh_clean
 
 install-arch: check-arch
@@ -70,7 +69,7 @@
 	dh_prep
 	dh_installdirs
 
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
+	$(MAKE) install DESTDIR=$(D)/tmp \
 	                runtimelibdir=/lib/$(DEB_HOST_MULTIARCH)
 
 binary-indep:
@@ -79,12 +78,13 @@
 binary-arch: install-arch
 	dh_testdir
 	dh_testroot
+	dh_install
 	dh_installchangelogs ChangeLog
 	dh_installdocs
+	dh_installman
 	dh_installexamples
-	dh_install
 	dh_link
-	dh_strip --dbg-package=$(libdbg)
+	dh_strip --dbgsym-migration='$(libdbg) (<< 0.8.1-1~)'
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs --add-udeb=$(libudeb)
