## libbsd 0.8.3

=== debian/changelog ===
libbsd (0.8.3-1+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2019-20367
    A non-NUL terminated symbol name in the string table might
    result in a out-of-bounds read.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 18 Feb 2021 20:03:02 +0100

libbsd (0.8.3-1) unstable; urgency=medium

  * New upstream release.
    - Fix a memory leak.
    - Various portability fixes.
    - Improve test suite.
  * Switch Homepage and debian/watch URLs from http:// to https://.
  * Now using Standards-Version 3.9.8 (no changes needed).
  * Switch to the dpkg makefile fragments in debian/rules.
  * Enable hardening bindnow feature.

 -- Guillem Jover <guillem@debian.org>  Sat, 23 Apr 2016 11:11:35 +0200
